Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.report
Class PlainTextReport

    java.lang.Object
      com.sun.javatest.report.PlainTextReport

    public class PlainTextReport

extends java.lang.Object

Plain text version of the report.

Nested Class Summary
`static class` | `ReportFormat.ReportLink`

Constructor Summary
`PlainTextReport()`

Method Summary
`boolean` | `acceptSettings(ReportSettings s)`
`java.lang.String` | `getBaseDirName()`
`static java.lang.String[]` | `getReportFilenames()`
`java.lang.String` | `getReportID()`
`java.util.List<com.sun.javatest.report.ReportFormat>` | `getSubReports()`
`java.lang.String` | `getTypeName()`
`ReportFormat.ReportLink` | `write(ReportSettings s, java.io.File dir)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlainTextReport

    public PlainTextReport()

Method Detail

### getReportFilenames

    public static java.lang.String[] getReportFilenames()

### write

    public ReportFormat.ReportLink write(ReportSettings s,
                                         java.io.File dir)
                                  throws java.io.IOException

  Parameters:
    `s` - Settings to use to create the report.
    `dir` - Directory in which the report output should be written.
  Returns:
    ReportLink object for the report file (used in report index)
  Throws:
    `java.io.IOException`

### getReportID

    public java.lang.String getReportID()

### getBaseDirName

    public java.lang.String getBaseDirName()

### getTypeName

    public java.lang.String getTypeName()

### acceptSettings

    public boolean acceptSettings(ReportSettings s)

### getSubReports

    public java.util.List<com.sun.javatest.report.ReportFormat> getSubReports()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.